%define lvmversion 2.02.97
%define dmversion 1.02.76
%define _udevdir /lib/udev/rules.d
%define dmmajor 1.02
%define cmdmajor 2.02
%define appmajor 2.2

%define dmlibname %mklibname devmapper %{dmmajor}
%define dmdevelname %mklibname devmapper -d
%define event_libname %mklibname devmapper-event %{dmmajor}
%define event_develname %mklibname devmapper-event -d
%define cmdlibname %mklibname lvm2cmd %{cmdmajor}
%define cmddevelname %mklibname lvm2cmd -d

%define build_lvm2app 1
%define build_cluster 0
%define build_dmeventd 1

#requirements for cluster
%define corosync_version 1.2.0
%define openais_version 1.1.1
%define cluster_version 3.0.6

%{?_with_dmeventd: %{expand: %%global build_dmeventd 1}}
%{?_without_dmeventd: %{expand: %%global build_dmeventd 0}}
%{?_with_lvm2app: %{expand: %%global build_lvm2app 1}}
%{?_without_lvm2app: %{expand: %%global build_lvm2app 0}}
%{?_with_cluster: %{expand: %%global build_cluster 1}}
%{?_without_cluster: %{expand: %%global build_cluster 0}}

%bcond_without uclibc

%if %build_lvm2app
%define applibname %mklibname lvm2app %{appmajor}
%define appdevelname %mklibname -d lvm2
%endif

%if %build_dmeventd
%define dm_req %{event_libname}
%define dm_req_d %{event_develname}
%else
%define dm_req %{dmlibname}
%define dm_req_d %{dmdevelname}
%endif

Summary:	Logical Volume Manager administration tools
Name:		lvm2
%define lvmversion 2.02.97
Version:	%{lvmversion}
Release:	3.1
Source0:	ftp://sources.redhat.com/pub/lvm2/LVM2.%{lvmversion}.tgz
Source1:	ftp://sources.redhat.com/pub/lvm2/LVM2.%{lvmversion}.tgz.asc
Source2:	%{name}-tmpfiles.conf
Patch0:		lvm2-2.02.53-alternatives.patch
Patch1:		lvm2-2.02.77-qdiskd.patch
Patch2:		lvm2-2.02.97-vgmknodes-man.patch
Patch5:		lvm2-2.02.77-preferred_names.patch
Patch6:		lvm2-2.02.97-make-sure-variable-gets-set.patch
License:	GPLv2 and LGPL2.1
Group:		System/Kernel and hardware
URL:		http://sources.redhat.com/lvm2/
BuildConflicts:	device-mapper-devel < %{dmversion}
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(ncursesw)
#BuildRequires:	autoconf
BuildRequires:	sed
Conflicts:	lvm
Conflicts:	lvm1
%if %{with uclibc}
BuildRequires:	uClibc-devel >= 0.9.33.2-15
%endif
%if %build_dmeventd
# install plugins as well
Requires:	%{cmdlibname} = %{lvmversion}-%{release}
%endif
Requires:	%{dm_req} >= %{dmversion}
%if %mdvver >= 201200
BuildRequires:	systemd-units
Requires(post): systemd
%endif
ExclusiveArch:	%{ix86}

%description
LVM includes all of the support for handling read/write operations on
physical volumes (hard disks, RAID-Systems, magneto optical, etc.,
multiple devices (MD), see mdadm(8) or even loop devices, see losetup(8)),
creating volume groups (kind of virtual disks) from one or more physical
volumes and creating one or more logical volumes (kind of logical partitions)
in volume groups.

%package -n	uclibc-%{name}
Summary:	Logical Volume Manager administration tools (uClibc linked)
Group:		System/Kernel and hardware

%description -n	uclibc-%{name}
LVM includes all of the support for handling read/write operations on
physical volumes (hard disks, RAID-Systems, magneto optical, etc.,
multiple devices (MD), see mdadm(8) or even loop devices, see losetup(8)),
creating volume groups (kind of virtual disks) from one or more physical
volumes and creating one or more logical volumes (kind of logical partitions)
in volume groups.

%package -n	%{cmdlibname}
Summary:	LVM2 command line library
Group:		System/Kernel and hardware
Requires:	%{dm_req} >= %{dmversion}
# Avoid devel deps on library due to autoreq picking these plugins up as devel libs
%define __noautoreqfiles	'libdevmapper-event-lvm2(mirror|raid|snapshot).so'

%description -n	%{cmdlibname}
The lvm2 command line library allows building programs that manage
lvm devices without invoking a separate program.

%package -n	uclibc-%{cmdlibname}
Summary:	LVM2 command line library (uClibc linked)
Group:		System/Kernel and hardware
Requires:	uclibc-%{dm_req} >= %{dmversion}
# Avoid devel deps on library due to autoreq picking these plugins up as devel libs
%define __noautoreqfiles	'libdevmapper-event-lvm2(mirror|raid|snapshot).so'

%description -n	uclibc-%{cmdlibname}
The lvm2 command line library allows building programs that manage
lvm devices without invoking a separate program.

%package -n	%{cmddevelname}
Summary:	Development files for LVM2 command line library
Group:		System/Kernel and hardware
Requires:	%{cmdlibname} = %{lvmversion}-%{release}
Requires:	%{dm_req_d} = %{dmversion}-%{release}
%if %{with uclibc}
Requires:	uclibc-%{cmdlibname} = %{lvmversion}-%{release}
%endif
Provides:	liblvm2cmd-devel = %{lvmversion}-%{release}
Obsoletes:	%{mklibname lvm2cmd %cmdmajor -d}

%description -n	%{cmddevelname}
The lvm2 command line library allows building programs that manage
lvm devices without invoking a separate program.
This package contains the header files for building with lvm2cmd and lvm2app.

%if %build_lvm2app
%package -n	%{applibname}
Summary:	LVM2 application api library
Group:		System/Kernel and hardware
Requires:	%{dm_req} >= %{dmversion}
Obsoletes:	%{mklibname lvm2app 2.1}

%description -n	%{applibname}
LVM2 application API.

%package -n	%{appdevelname}
Summary:	Development files for LVM2 command line library
Group:		System/Kernel and hardware
Requires:	pkgconfig
Requires:	%{applibname} = %{lvmversion}-%{release}
Requires:	%{dm_req_d} = %{dmversion}-%{release}
Provides:	liblvm2app-devel = %{lvmversion}-%{release}
Obsoletes:	%{mklibname lvm2app %appmajor -d}

%description -n	%{appdevelname}
LVM2 application API
This package contains the header files for building with lvm2app.
%endif

%if %build_cluster
%package -n	clvmd
Summary:	cluster LVM daemon
Group:		System/Kernel and hardware
BuildRequires:	cluster-devel >= %{cluster_version}
BuildRequires:	openais-devel >= %{openais_version}
BuildRequires:	corosync-devel >= %{corosync_version}
Requires:	cman >= %{cluster_version}
Requires:	%{dm_req} >= %{dmversion}

%description -n	clvmd
clvmd is the daemon that distributes LVM metadata updates around a
cluster. It must be running on all nodes in the cluster and will give
an error if a node in the cluster does not have this daemon running.

%package -n	cmirror
Summary:	Daemon for device-mapper-based clustered mirrors
Group:		System/Kernel and hardware
BuildRequires:	cluster-devel >= %{cluster_version}
BuildRequires:	openais-devel >= %{openais_version}
BuildRequires:	corosync-devel >= %{corosync_version}
Requires:	cman >= %{cluster_version}
Requires:	openais >= %{openais_version}
Requires:	corosync >= %{corosync_version}
Requires:	%{dmlibname} >= %{dmversion}

%description -n	cmirror
Daemon providing device-mapper-based mirrors in a shared-storage cluster.
%endif

%package -n	dmsetup
Summary:	Device mapper setup tool
Version:	%{dmversion}
Group:		System/Kernel and hardware
Provides:	device-mapper = %{dmversion}-%{release}
%if %{build_dmeventd}
Provides:	dmeventd = %{dmversion}-%{release}
%endif
Requires:	%{dm_req} = %{dmversion}-%{release}
%if %mdvver >= 201200
BuildRequires:	pkgconfig(udev) >= 195
%else
BuildRequires:	pkgconfig(udev)
%endif
Requires:	udev
Requires(pre):	rpm-helper

%description -n	dmsetup
Dmsetup manages logical devices that use the device-mapper driver.  
Devices are created by loading a table that specifies a target for
each sector (512 bytes) in the logical device.

%package -n	%{dmlibname}
Summary:	Device mapper library
Version:	%{dmversion}
Group:		System/Kernel and hardware

%description -n	%{dmlibname}
The device-mapper driver enables the definition of new block
devices composed of ranges of sectors of existing devices.  This
can be used to define disk partitions - or logical volumes.

This package contains the shared libraries required for running
programs which use device-mapper.

%package -n	uclibc-%{dmlibname}
Summary:	Device mapper library (uClibc linked)
Version:	%{dmversion}
Group:		System/Kernel and hardware

%description -n	uclibc-%{dmlibname}
The device-mapper driver enables the definition of new block
devices composed of ranges of sectors of existing devices.  This
can be used to define disk partitions - or logical volumes.

This package contains the shared libraries required for running
programs which use device-mapper.

%package -n	uclibc-dmsetup
Summary:	Device mapper setup tool (uClibc linked)
Version:	%{dmversion}
Group:		System/Kernel and hardware
Requires:	udev

%description -n	uclibc-dmsetup
Dmsetup manages logical devices that use the device-mapper driver.  
Devices are created by loading a table that specifies a target for
each sector (512 bytes) in the logical device.

%package -n	%{dmdevelname}
Summary:	Device mapper development library
Version:	%{dmversion}
Group:		Development/C
Provides:	device-mapper-devel = %{dmversion}-%{release}
Provides:	libdevmapper-devel = %{dmversion}-%{release}
Requires:	%{dmlibname} = %{dmversion}-%{release}
%if %{with uclibc}
Requires:	uclibc-%{dmlibname} = %{dmversion}-%{release}
%endif
Requires:	pkgconfig
Conflicts:	device-mapper-devel < %{dmversion}-%{release}
Obsoletes:	%{mklibname devmapper %dmmajor -d}

%description -n	%{dmdevelname}
The device-mapper driver enables the definition of new block
devices composed of ranges of sectors of existing devices.  This
can be used to define disk partitions - or logical volumes.

This package contains the header files and development libraries
for building programs which use device-mapper.

%if %{build_dmeventd}
%package -n	%{event_libname}
Summary:	Device mapper event library
Version:	%{dmversion}
Group:		System/Kernel and hardware
Provides:	device-mapper-event = %{dmversion}-%{release}
Provides:	libdevmapper-event = %{dmversion}-%{release}
Requires:	%{dmlibname} >= %{dmversion}

%description -n	%{event_libname}
The device-mapper-event library allows monitoring of active mapped devices.

This package contains the shared libraries required for running
programs which use device-mapper-event.

%package -n	uclibc-%{event_libname}
Summary:	Device mapper event library (uClibc linked)
Version:	%{dmversion}
Group:		System/Kernel and hardware
Requires:	uclibc-%{dmlibname} = %{EVRD}

%description -n	uclibc-%{event_libname}
The device-mapper-event library allows monitoring of active mapped devices.

This package contains the shared libraries required for running
programs which use device-mapper-event.

%package -n	%{event_develname}
Summary:	Device mapper event development library
Version:	%{dmversion}
Group:		Development/C
Provides:	device-mapper-event-devel = %{dmversion}-%{release}
Provides:	libdevmapper-event-devel = %{dmversion}-%{release}
Requires:	%{event_libname} = %{dmversion}-%{release}
Requires:	%{dmdevelname} = %{dmversion}-%{release}
%if %{with uclibc}
Requires:	%{event_libname} = %{dmversion}-%{release}
Requires:	%{dmdevelname} = %{dmversion}-%{release}
%endif
Requires:	pkgconfig
Conflicts:	device-mapper-event-devel < %{dmversion}-%{release}
Obsoletes:	%{mklibname devmapper-event %dmmajor -d}

%description -n	%{event_develname}
The device-mapper-event library allows monitoring of active mapped devices.

This package contains the header files and development libraries
for building programs which use device-mapper-event.
%endif

%prep
%setup -q -n LVM2.%{lvmversion}
%patch0 -p1 -b .alternatives
%patch1 -p1 -b .qdiskd
%patch2 -p1 -b .vgmknodes-man
%patch5 -p1 -b .preferred
%patch6 -p1 -b .cc~

%build
datelvm=`awk -F '[.() ]*' '{printf "%s.%s.%s:%s\n", $1,$2,$3,$(NF-1)}' VERSION`
datedm=`awk -F '[.() ]*' '{printf "%s.%s.%s:%s\n", $1,$2,$3,$(NF-1)}' VERSION_DM`
if [ "${datelvm%:*}" != "%{lvmversion}" -o "${datedm%:*}" != "%{dmversion}" -o \
 "%{release}" = "%{mkrel 1}" -a "${datelvm#*:}" != "${datedm#*:}" ]; then
	echo "ERROR:	you should not be touching this package" 1>&2
	echo "	without full understanding of relationship between device-mapper" 1>&2
	echo "	and lvm2 versions" 1>&2
	exit 1
fi
%if %{build_dmeventd}
%define _disable_ld_as_needed 1
%endif
%define common_configure_parameters --with-user=`id -un` --with-group=`id -gn` --disable-selinux --with-device-uid=0 --with-device-gid=6 --with-device-mode=0660
export ac_cv_lib_dl_dlopen=no
export MODPROBE_CMD=/sbin/modprobe
export CONFIGURE_TOP=".."

unset ac_cv_lib_dl_dlopen

%if %{with uclibc}
mkdir -p uclibc
pushd uclibc
%uclibc_configure \
		--with-optimisation="" \
		%{common_configure_parameters} \
		--libdir=%{uclibc_root}/%{_lib} \
		--with-usrlibdir=%{uclibc_root}%{_libdir} \
		--sbindir=%{uclibc_root}/sbin \
		--enable-static_link \
		--disable-readline \
		--with-cluster=none \
		--with-pool=none \
%if %{build_dmeventd}
		--enable-cmdlib \
		--enable-dmeventd \
		--with-dmeventd-path=/sbin/dmeventd \
%endif
		--enable-udev_sync \
		--enable-udev_rules \
		--with-udevdir=%{_udevdir} \
		--with-systemdsystemunitdir=%{_unitdir}
%make V=1
popd

%else
mkdir -p static
pushd static
%configure2_5x %{common_configure_parameters} \
	--enable-static_link --disable-readline \
	--with-cluster=none --with-pool=none
sed -e 's/\ -static/ -static -Wl,--no-export-dynamic/' -i tools/Makefile
%make
popd
%endif

mkdir -p shared
pushd shared
%configure2_5x %{common_configure_parameters} \
	--sbindir=/sbin \
	--disable-static_link --enable-readline \
	--enable-fsadm --enable-pkgconfig \
	--with-usrlibdir=%{_libdir} --libdir=/%{_lib} \
	--enable-cmdlib \
%if %build_lvm2app
	--enable-applib \
%endif
%if %build_cluster
	--with-clvmd=cman,openais,corosync \
	--enable-cmirrord \
%else
	--with-cluster=none \
	--with-pool=none \
%endif
%if %{build_dmeventd}
	--enable-dmeventd \
	--with-dmeventd-path=/sbin/dmeventd \
%endif
	--enable-udev_sync --enable-udev_rules \
	--with-udevdir=%{_udevdir} \
	--with-systemdsystemunitdir=%{_unitdir}
# 20090926 no translations yet:	--enable-nls
# end of configure options
%make
popd

%install
%if %{with uclibc}
%makeinstall_std -C uclibc
rm -f %{buildroot}%{uclibc_root}%{_libdir}/{liblvm2cmd,libdevmapper-event*}.a
%endif

%makeinstall_std -C shared
%if %mdvver >= 201200
make -C shared install_systemd_units DESTDIR=%{buildroot}
make -C shared install_tmpfiles_configuration DESTDIR=%{buildroot}
%endif

install -m644 %{SOURCE2} -D %{buildroot}%{_prefix}/lib/tmpfiles.d/%{name}.conf
install -d %{buildroot}/etc/lvm/archive
install -d %{buildroot}/etc/lvm/backup
install -d %{buildroot}/etc/lvm/cache
touch %{buildroot}/etc/lvm/cache/.cache

install -d %{buildroot}/run/lock/lvm

%if %mdvver >= 201200
%else
install shared/scripts/lvm2_monitoring_init_red_hat -E %{buildroot}%{_initrddir}/lvm2-monitor
%if %build_cluster
install shared/scripts/clvmd_init_red_hat %{buildroot}%{_initrddir}/clvmd
install shared/scripts/cmirrord_init_red_hat %{buildroot}%{_initrddir}/cmirrord
%endif
%endif

%if %build_cluster
install -m 0755 scripts/lvmconf.sh %{buildroot}/sbin/lvmconf
%endif

%if %{with uclibc}
mv %{buildroot}%{uclibc_root}%{_sbindir}/*static %{buildroot}/sbin
%else
install static/tools/lvm.static -D %{buildroot}/sbin/lvm.static
install static/tools/dmsetup.static -D %{buildroot}/sbin/dmsetup.static
%endif

#install -d %{buildroot}/%{_libdir}/
#compatibility links
ln %{buildroot}/sbin/lvm %{buildroot}/sbin/lvm2
ln %{buildroot}/sbin/lvm.static %{buildroot}/sbin/lvm2-static
ln %{buildroot}/sbin/dmsetup.static %{buildroot}/sbin/dmsetup-static

%if %{with uclibc}
ln %{buildroot}%{uclibc_root}/sbin/lvm %{buildroot}%{uclibc_root}/sbin/lvm2
%endif

#hack permissions of libs
chmod u+w %{buildroot}/%{_lib}/*.so.* %{buildroot}/sbin/*
%if %build_cluster
chmod u+w  %{buildroot}/sbin/*
%endif


#hack trick strip_and_check_elf_files
export LD_LIBRARY_PATH=%{buildroot}/%{_lib}:${LD_LIBRARY_PATH}

rm -f %{buildroot}/sbin/dmeventd.static

%pre
if [ -L /sbin/lvm -a -L /etc/alternatives/lvm ]; then
	update-alternatives --remove lvm /sbin/lvm2
fi

%if %build_cluster
%post -n clvmd
%_post_service clvmd
/sbin/lvmconf --lockinglibdir %{_libdir}

%preun -n clvmd
%_preun_service clvmd
if [ "$1" = 0 ]; then
	/sbin/lvmconf --disable-cluster
fi

%post -n cmirror
%_post_service cmirror

%preun -n cmirror
%_preun_service cmirror
%endif

%files
%doc INSTALL README VERSION WHATS_NEW
%attr(755,root,root) /sbin/fsadm
%attr(755,root,root) /sbin/lv*
%attr(755,root,root) /sbin/pv*
%attr(755,root,root) /sbin/vg*
%dir %{_sysconfdir}/lvm
%config(noreplace) %{_sysconfdir}/lvm/lvm.conf
%attr(700,root,root) %dir %{_sysconfdir}/lvm/archive
%attr(700,root,root) %dir %{_sysconfdir}/lvm/backup
%attr(700,root,root) %dir %{_sysconfdir}/lvm/cache
%attr(600,root,root) %ghost %{_sysconfdir}/lvm/cache/.cache
%attr(700,root,root) %dir /run/lock/lvm
%if %mdvver >= 201200
%{_unitdir}/lvm2-monitor.service
%endif
%{_prefix}/lib/tmpfiles.d/%{name}.conf
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_udevdir}/11-dm-lvm.rules

%files -n uclibc-%{name}
%doc INSTALL README VERSION WHATS_NEW
%attr(755,root,root) %{uclibc_root}/sbin/fsadm
%attr(755,root,root) %{uclibc_root}/sbin/lv*
%attr(755,root,root) %{uclibc_root}/sbin/pv*
%attr(755,root,root) %{uclibc_root}/sbin/vg*

%files -n %{cmdlibname}
%defattr(755,root,root,755)
/%{_lib}/liblvm2cmd.so.%{cmdmajor}
%if %{build_dmeventd}
%dir /%{_lib}/device-mapper
/%{_lib}/device-mapper/libdevmapper-event-lvm2mirror.so
/%{_lib}/device-mapper/libdevmapper-event-lvm2raid.so
/%{_lib}/device-mapper/libdevmapper-event-lvm2snapshot.so
/%{_lib}/libdevmapper-event-lvm2.so.%{cmdmajor}
/%{_lib}/libdevmapper-event-lvm2mirror.so
/%{_lib}/libdevmapper-event-lvm2raid.so
/%{_lib}/libdevmapper-event-lvm2snapshot.so
%endif

%if %{with uclibc}
%files -n uclibc-%{cmdlibname}
%defattr(755,root,root,755)
%{uclibc_root}/%{_lib}/liblvm2cmd.so.%{cmdmajor}
%if %{build_dmeventd}
%dir %{uclibc_root}/%{_lib}/device-mapper
%{uclibc_root}/%{_lib}/device-mapper/libdevmapper-event-lvm2mirror.so
%{uclibc_root}/%{_lib}/device-mapper/libdevmapper-event-lvm2raid.so
%{uclibc_root}/%{_lib}/device-mapper/libdevmapper-event-lvm2snapshot.so
%{uclibc_root}/%{_lib}/libdevmapper-event-lvm2.so.%{cmdmajor}
%{uclibc_root}/%{_lib}/libdevmapper-event-lvm2mirror.so
%{uclibc_root}/%{_lib}/libdevmapper-event-lvm2raid.so
%{uclibc_root}/%{_lib}/libdevmapper-event-lvm2snapshot.so
%endif
%endif

%files -n %{cmddevelname}
%defattr(644,root,root,755)
%{_includedir}/lvm2cmd.h
%attr(755,root,root) %{_libdir}/liblvm2cmd.so
%if %{with uclibc}
%{uclibc_root}%{_libdir}/liblvm2cmd.so
%endif

%if %build_lvm2app
%files -n %{applibname}
/%{_lib}/liblvm2app.so.*

%files -n %{appdevelname}
%defattr(644,root,root,755)
%{_includedir}/lvm2app.h
%attr(755,root,root) %{_libdir}/liblvm2app.so
%{_libdir}/pkgconfig/lvm2app.pc
%endif

%if %build_cluster
%files -n clvmd
%defattr(755, root,root)
%if %mdvver < 201200
%config(noreplace) %{_initrddir}/clvmd
%endif
/sbin/clvmd
/sbin/lvmconf
%attr(644,root,root) %{_mandir}/man8/clvmd.8*

%files -n cmirror
%defattr(755,root,root,-)
%if %mdvver < 201200
%config(noreplace) %{_initrddir}/cmirrord
%endif
/sbin/cmirrord
%attr(644,root,root) %{_mandir}/man8/cmirrord.8*
%endif

%files -n dmsetup
%defattr(644,root,root,755)
%doc INSTALL README VERSION_DM WHATS_NEW_DM
%attr(755,root,root) /sbin/dmsetup
%attr(755,root,root) /sbin/dmsetup.static
%attr(755,root,root) /sbin/dmsetup-static
%if %{build_dmeventd}
%attr(755,root,root) /sbin/dmeventd
%endif
%if %mdvver >= 201200
%{_unitdir}/dm-event.service
%{_unitdir}/dm-event.socket
%endif
%{_udevdir}/10-dm.rules
%{_udevdir}/13-dm-disk.rules
%{_udevdir}/95-dm-notify.rules

%if %{with uclibc}
%files -n uclibc-dmsetup
%defattr(755,root,root)
%{uclibc_root}/sbin/dmsetup
%if %{build_dmeventd}
%{uclibc_root}/sbin/dmeventd
%endif
%endif

%files -n %{dmlibname}
%defattr(755,root,root)
/%{_lib}/libdevmapper.so.%{dmmajor}*

%if %{with uclibc}
%files -n uclibc-%{dmlibname}
%{uclibc_root}/%{_lib}/libdevmapper.so.%{dmmajor}*
%endif

%files -n %{dmdevelname}
%defattr(644,root,root,755)
%{_libdir}/libdevmapper.so
%if %{with uclibc}
%{uclibc_root}%{_libdir}/libdevmapper.a
%{uclibc_root}%{_libdir}/libdevmapper.so
%endif
%{_includedir}/libdevmapper.h
%{_libdir}/pkgconfig/devmapper.pc

%if %{build_dmeventd}
%files -n %{event_libname}
/%{_lib}/libdevmapper-event.so.*

%files -n uclibc-%{event_libname}
%{uclibc_root}/%{_lib}/libdevmapper-event.so.*

%files -n %{event_develname}
%defattr(644,root,root,755)
%{_includedir}/libdevmapper-event.h
%{_libdir}/libdevmapper-event.so
%{_libdir}/libdevmapper-event-lvm2.so
%if %{with uclibc}
%{uclibc_root}%{_libdir}/libdevmapper-event.so
%{uclibc_root}%{_libdir}/libdevmapper-event-lvm2.so
%endif
%{_libdir}/pkgconfig/devmapper-event.pc
%endif


%changelog
* Tue Oct 30 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.02.97-3.1
+ Revision: 820670
- bump versioned udev buildrequires
- workaround bs crap and push package exclusively for i586

* Mon Oct 29 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.02.97-3
+ Revision: 820272
- try rebuilding again in hope of packages hitting i586 repo this time.. :|

* Sun Oct 28 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.02.97-2
+ Revision: 820174
- fix uClibc build
- configure uClibc with the additional options:
  	o --enable-cmdlib
  	o --enable-dmeventd
  	o --with-dmeventd-path=/sbin/dmeventd
  	o --enable-udev_sync
  	o --enable-udev_rules
  	o --with-udevdir=%%{_udevdir}
  	o --with-systemdsystemunitdir=%%{_unitdir}
- fix some fsckage with building stuff..
- enable dynamically linked uClibc build
- fix uClibc build

* Mon Sep 17 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.02.97-1
+ Revision: 817004
- fix mixed-use-of-spaces-and-tabs
- fix shared-lib-not-executable
- update dependency filter for internal dependency generator
- add %%{_prefix}/lib/tmpfiles.d/%%{name}.conf to %%files
- set --with-systemdsystemunitdir to proper directory

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - spec file clean
    - support systemd serives instead of old sysvinit ones
    - update to new version 2.02.97

* Fri Jul 20 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 2.02.96-3
+ Revision: 810339
- obsolete old lvm2app major

* Tue Jul 10 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 2.02.96-2
+ Revision: 808733
- set default locking directory to /run, because it is quite common to have /var on lvm and this produces endless loop while mounting partitions

* Mon Jul 09 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 2.02.96-1
+ Revision: 808638
- fix file list
- disable patch 2 for now
- drop find_lang
- add version to udev buildrequires
- update to new version 2.02.96

  + Alexander Khrukin <akhrukin@mandriva.org>
    - version update 2.02.95

* Sun Jun 12 2011 Funda Wang <fwang@mandriva.org> 2.02.85-3
+ Revision: 684305
- always create symlink for lvm2

* Sun Jun 12 2011 Eugeni Dodonov <eugeni@mandriva.com> 2.02.85-2
+ Revision: 684300
- Rebuild as BS seems to have eaten the latest package.

* Sat Jun 11 2011 Luca Berra <bluca@mandriva.org> 2.02.85-1
+ Revision: 684241
- update to lvm2-2.02.85 and device-mapper 1.02.64
- disable static build
- remove compatibility hack for mdv < 2009.0
- fix man page packaging

* Sun May 22 2011 Oden Eriksson <oeriksson@mandriva.com> 2.02.78-4
+ Revision: 677163
- rebuild

* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 2.02.78-3
+ Revision: 666107
- mass rebuild

* Thu Dec 23 2010 Luca Berra <bluca@mandriva.org> 2.02.78-2mnb2
+ Revision: 624115
- add some requires to ensure consistency between device-mapper and lvm

* Sun Dec 12 2010 Luca Berra <bluca@mandriva.org> 2.02.78-1mnb2
+ Revision: 620610
- update to lvm2-2.02.78 and device-mapper 1.02.59
- really update tarballs
- remove obsolete patches
- p1 qdiskd is started as part of cman
- fix static build (bor)
- clvmd now requires openais and corosync (bor)

  + Götz Waschk <waschk@mandriva.org>
    - update to new version 2.02.77

  + Oden Eriksson <oeriksson@mandriva.com>
    - fix typo
    - sync with MDVSA-2010:171

* Mon Mar 01 2010 Thomas Backlund <tmb@mandriva.org> 2.02.61-5mnb2
+ Revision: 513264
- fix udev rule to add symlinks in /dev/mapper/

* Mon Mar 01 2010 Luca Berra <bluca@mandriva.org> 2.02.61-4mnb2
+ Revision: 513116
- enable liblvm2app

* Sat Feb 20 2010 Luca Berra <bluca@mandriva.org> 2.02.61-3mnb2
+ Revision: 508818
- update dm version

* Fri Feb 19 2010 Thomas Backlund <tmb@mandriva.org> 2.02.61-2mnb2
+ Revision: 508449
- make lib(64)devmapper-event1.02 provide device-mapper-event (for dmraid-event)

* Tue Feb 16 2010 Funda Wang <fwang@mandriva.org> 2.02.61-1mnb2
+ Revision: 506589
- New version 2.02.61

  + Luca Berra <bluca@mandriva.org>
    - fix permissions on lvm2-monitor initscript
    - make dmeventd require same EVR libdevmapper-event
    - enable loading of dm target modules as needed
    - fix dmeventd not linking against libdevmapper-event
    - fix static lib build on x86_64
    - fix location of dmeventd binary
    - update to lvm2 2.02.60/device-mapper 1.02.43
    - build cluster mirror daemon
    - enable udev integration
    - set default preferred names in configuration (fedora)

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - build a uclibc linked static library as well
    - link static binaries against uclibc rather than glibc
    - do static and shared builds in separate directories
    - link against libraries from where they're actually built at (P5)

* Fri Nov 06 2009 Frederik Himpe <fhimpe@mandriva.org> 2.02.54-1mnb2
+ Revision: 462071
- Really update to 2.02.54
- update to new version 2.02.54

* Tue Oct 13 2009 Buchan Milne <bgmilne@mandriva.org> 2.02.53-5mnb2
+ Revision: 457026
- Re-fix lsb headers in clvmd init (to require cman)

* Wed Oct 07 2009 Anssi Hannula <anssi@mandriva.org> 2.02.53-4mnb2
+ Revision: 455711
- modify _exclude_files_from_autoreq to only match the .so symlink so
  that automatic dependencies continue working, and remove the then
  unneeded explicit require that was added for this issue

* Tue Oct 06 2009 Anssi Hannula <anssi@mandriva.org> 2.02.53-3mnb2
+ Revision: 455260
- fix versioned requires added in previous release

* Tue Oct 06 2009 Buchan Milne <bgmilne@mandriva.org> 2.02.53-2mnb2
+ Revision: 454651
- Put an explicit requires back in for the valid dependency that was a victim of
  the previous fix

  + Christophe Fergeau <cfergeau@mandriva.com>
    - make sure liblvm2cmd2.02 don't requires devel packages

* Thu Oct 01 2009 Buchan Milne <bgmilne@mandriva.org> 2.02.53-1mnb2
+ Revision: 452390
- Buildrequire cluster-devel 3.0.3, openais-devel 1.1.0, corosync-devel 1.1.0
- put explicit versioned requires on libdevmapper on lvm to ensure lvm works
- Fix build on x86_64

  + Luca Berra <bluca@mandriva.org>
    - New version 2.02.53
      device-mapper is now built from lvm2 spec file
      dietlibc static binaries have been removed
      cluster support for openais/corosync is not built

* Sun Sep 27 2009 Olivier Blin <blino@mandriva.org> 2.02.33-9mnb2
+ Revision: 450120
- use dietlibc on arm and mips too (from Arnaud Patard)

* Wed Apr 08 2009 Buchan Milne <bgmilne@mandriva.org> 2.02.33-8mnb2
+ Revision: 365105
- Fix LSB headers in clvmd init script (incl to require cman to be started for clvmd)
- Drop unused source file

* Tue Apr 07 2009 Buchan Milne <bgmilne@mandriva.org> 2.02.33-7mnb2
+ Revision: 364814
- Remove conflict between lvm2 and clvmd (/sbin/lvmconf)

* Wed Feb 25 2009 Thierry Vignaud <tv@mandriva.org> 2.02.33-6mnb2
+ Revision: 344660
- rebuild for new libreadline

* Tue Jan 06 2009 Buchan Milne <bgmilne@mandriva.org> 2.02.33-5mnb2
+ Revision: 325771
- Enable cluster support by default

* Sun Dec 21 2008 Oden Eriksson <oeriksson@mandriva.com> 2.02.33-4mnb2
+ Revision: 317041
- rediffed some fuzzy patches

  + Buchan Milne <bgmilne@mandriva.org>
    - Fix clvmd (compilation with --with cluster)

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 2.02.33-3mnb2
+ Revision: 265035
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 10 2008 Oden Eriksson <oeriksson@mandriva.com> 2.02.33-2mnb2
+ Revision: 217575
- rebuilt against dietlibc-devel-0.32

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.02.33-1mnb1
+ Revision: 170654
- replace %%mkrel with %%manbo_mkrel for Manbo Core 1

* Wed Feb 06 2008 Olivier Blin <blino@mandriva.org> 2.02.33-1mdv2008.1
+ Revision: 163060
- 2.02.33

* Tue Feb 05 2008 Olivier Blin <blino@mandriva.org> 2.02.31-2mdv2008.1
+ Revision: 162814
- build with ncurses instead of deprecated termcap

* Wed Jan 23 2008 Olivier Blin <blino@mandriva.org> 2.02.31-1mdv2008.1
+ Revision: 157141
- do not install fsadm manually (now done by Makefile)
- define UINT64_MAX when building with dietlibc
- buildrequire device-mapper-devel >= 1.02.23 (for readahead support)
- 2.02.31

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 2.02.27-3mdv2008.1
+ Revision: 152884
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 2.02.27-2mdv2008.1
+ Revision: 152882
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Wed Aug 22 2007 Adam Williamson <awilliamson@mandriva.org> 2.02.27-1mdv2008.0
+ Revision: 69193
- fix typo
- disable stack protector (build fails if enabled)
- update buildrequires for dmeventd build (still disabled by default)
- add patch6 to fix a conflicting types error when building with dietlibc
- rediff and update patch0 and patch1
- new devel policy
- new release 2.02.27


* Mon Sep 11 2006 Luca Berra <bluca@comedia.it>
+ 2006-09-11 11:06:54 (60771)
New release 2.02.09

* Tue Jul 11 2006 Luca Berra <bluca@comedia.it>
+ 2006-07-11 22:16:08 (38858)
remove alternatives, but still keep lvm2 and lvm2-static links for compatibility with existing tools

* Tue Jul 11 2006 Luca Berra <bluca@comedia.it>
+ 2006-07-11 20:55:25 (38791)
create backup file when applying p6

* Tue Jul 11 2006 Pixel <pixel@mandriva.com>
+ 2006-07-11 13:01:44 (38772)
really apply patch6

* Tue Jul 11 2006 Pixel <pixel@mandriva.com>
+ 2006-07-11 12:30:34 (38771)
release fixed vgs for DrakX

* Tue Jul 11 2006 Pixel <pixel@mandriva.com>
+ 2006-07-11 12:29:14 (38770)
fix exit code for VG not found (bug #22968)

* Wed Jul 05 2006 Luca Berra <bluca@comedia.it>
+ 2006-07-05 09:11:45 (38381)
import lvm2-2.02.06-1mdv2007.0

* Sun May 28 2006 Luca Berra <bluca@vodka.it> 2.02.06-1mdv2007.0
- New release 2.02.06
- build against dietlibc on ppc64
- add an option for dietlibc build
- require new device-mapper

* Thu Apr 20 2006 Per yvind Karlsen <pkarlsen@mandriva.com> 2.01.15-4mdk
- build against dietlibc on sparc too

* Sun Jan 29 2006 Olivier Blin <oblin@mandriva.com> 2.01.15-3mdk
- fix 2.01.09-2mdk changelog date to match current lvm2 package in main i586

* Fri Jan 27 2006 Luca Berra <bluca@vodka.it> 2.01.15-2mdk
- Rebuild

* Sat Jan 21 2006 Luca Berra <bluca@vodka.it> 2.01.15-1mdk
- New release 2.01.15
- update p1 (diet)
- add missing defines in dietlibc (p2)

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.01.09-2mdk
- Rebuild

* Sun Apr 17 2005 Luca Berra <bluca@vodka.it> 2.01.09-1mdk 
- 2.01.09
- part of p4 (ignorelockingfailure) was merged
- rediffed p5 (File descriptor left open)
- added support for GFS pool format
- added cluster build option and clvmd subpackage

* Tue Apr 05 2005 Luca Berra <bluca@vodka.it> 2.00.33-4mdk 
- add --ignorelockingfailure to vgmknodes (p4)
- silence annoyng "File descriptor left open" messages (p5)

* Sat Mar 05 2005 Luca Berra <bluca@vodka.it> 2.00.33-3mdk 
- remove require for libdevmapper1.00

* Sat Mar 05 2005 Luca Berra <bluca@vodka.it> 2.00.33-2mdk 
- rebuild for new libdevmapper

* Sat Jan 29 2005 Luca Berra <bluca@vodka.it> 2.00.33-1mdk 
- 2.00.33

* Thu Jan 20 2005 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.00.32-2mdk
- rebuild for new readline

* Sat Jan 15 2005 Luca Berra <bluca@vodka.it> 2.00.32-1mdk 
- 2.0.32
- do not link static binary with libdl

* Fri Dec 24 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.00.31-1mdk
- 2.00.31
- cosmetics

* Sun Nov 28 2004 Luca Berra <bluca@vodka.it> 2.00.27-1mdk 
- 2.0.27

* Sun Nov 14 2004 Luca Berra <bluca@vodka.it> 2.00.25-1mdk 
- 2.0.25
- added fsadm
- enabled nls
- added support for building the command line library

* Tue Sep 07 2004 Luca Berra <bluca@mandrakesoft.com> 2.00.22-1mdk
- 2.00.22
- define _BSD_SOURCE when building with dietlibc
- drop p4 no longer needed

* Sun Aug 01 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.00.20-2mdk
- use dietlibc for static build on ppc as well
- add BuildRequires: glibc-static-devel for other archs

* Thu Jul 22 2004 Luca Berra <bluca@vodka.it> 2.00.20-1mdk 
- 2.00.20
- disabled selinux build
- added workaround for including fs.h with glibc 2.3.3 (p4)

* Tue Jun 29 2004 Luca Berra <bluca@vodka.it> 2.00.19-2mdk 
- really fix alternatives patch

* Tue Jun 29 2004 Luca Berra <bluca@vodka.it> 2.00.19-1mdk 
- 2.00.19
- rediffed p0 (alternatives) and p1 (diet)

* Mon May 24 2004 Luca Berra <bluca@vodka.it> 2.00.16-1mdk 
- 2.00.16

* Sat Apr 17 2004 Luca Berra <bluca@vodka.it> 2.00.14-1mdk 
- 2.00.14
- rediffed p0, p1, p3
- removed p2, p4, p5 merged upstream

* Sun Jan 25 2004 Luca Berra <bluca@vodka.it> 2.00.08-8mdk 
- patch to ignore devices that have an md superblock on them

* Fri Jan 23 2004 Luca Berra <bluca@vodka.it> 2.00.08-7mdk
- patch to fix uidless PVs created during 9.2 installation

* Sun Jan 04 2004 Luca Berra <bluca@vodka.it> 2.00.08-6mdk
- DIRM: /etc/lvm
- build vs termcap, not ncurses

* Mon Dec 29 2003 Stefan van der Eijk <stefan@eijk.nu> 2.00.08-5mdk
- BuildRequires

* Sat Dec 20 2003 Luca Berra <bluca@vodka.it> 2.00.08-4mdk
- fix annoying "setlocale failed" message in dietlibc version

* Sun Dec 14 2003 Luca Berra <bluca@vodka.it> 2.00.08-3mdk
- added vgmknodes to static/diet binary
- imported blksize64 patch from fedora
- use %%post -f for alternatives script
- lvm.conf is a config file

* Sat Nov 22 2003 Luca Berra <bluca@vodka.it> 2.00.08-2mdk
- built against device-mapper 1.00.07

* Thu Nov 20 2003 Luca Berra <bluca@vodka.it> 2.00.08-1mdk
- 2.0.08 stable
- added static/dietlibc version for initrd

* Tue Sep 16 2003 Luca Berra <bluca@vodka.it> 2.00.07-1mdk
- 2.00.07 stable

